#!/bin/bash
set -xe

# usage create_new_env.sh (-n env_name|-p env_folder) pyver [bobver]
# This is intented to be used only with our conda installation at idiap/group/torch5spro
# example create_new_env.sh -n bob-2.3.4-py27_0 2.7
# example create_new_env.sh -n bob-2.3.4-py27_0 2.7 =2.3.4
# example create_new_env.sh -n bob-2.3.4-py27_0 2.7 =2.3.4=py27_0
# example create_new_env.sh -p /path/to/bob-2.2.0-py27_0 2.7

conda create --yes $1 $2 --channel defaults --override-channels python=$3 anaconda
source activate $2
conda install --yes --no-update-deps bob$4 caffe tensorflow ipdb docopt sphinx_rtd_theme gcc
pip install bob.db.arface \
	bob.db.atvskeystroke \
	bob.db.avspoof \
	bob.db.banca \
	bob.db.biosecure \
	bob.db.biosecurid.face \
	bob.db.caspeal \
	bob.db.frgc \
	bob.db.gbu \
	bob.db.kboc16 \
	bob.db.lfw \
	bob.db.livdet2013 \
	bob.db.msu_mfsd_mod \
	bob.db.mobio \
	bob.db.multipie \
	bob.db.replay \
	bob.db.scface \
	bob.db.utfvp \
	bob.db.voxforge \
	bob.db.xm2vts \
	bob.db.youtube \
	bob.bio.base \
	bob.bio.gmm \
	bob.bio.spear \
	bob.bio.face \
	bob.bio.video \
	gridtk \
	coveralls

echo "You can now activate your environment like this:"
echo "source activate $2"
