# Scripts for Continous Integration with Gitlab

This directory contains scripts that are used by our continuous integration
(CI) builds. There are various sets of scripts named as follows:

* `before_<stage>.sh`
* `<stage>.sh`
* `after_<stage>.sh`

Each of these sets correpond to one of the build stages inside the CI builds.

The script `install.sh` contains a basic set of routines to install and update
the scripts on the target host. If you add more scripts, it is sensible to
add those in there.

The script `functions.sh` contains a set of functions that are shared between
all scripts. All scripts *source* `functions.sh` before anything is done.
`functions.sh` also set important local and global (export) variables that are
required by the build system.

Before changing any script, try to understand the role of each of the stages by
looking at our template CI yaml files (in the directory `../templates`) and
then how to use the functions declared in `functions.sh`.
