#!/usr/bin/env bash
# Wed 17 Aug 2016 13:50:09 CEST

if [ "${#}" != 3 ]; then
  echo "usage: `basename $0` <basedir> <name> <list>"
  echo "example: `basename $0` /opt/conda bob-devel-py34 devel-py34.txt"
  exit 1
fi

BASEDIR=$1
NAME=$2
FILE=$3
CONDA=${BASEDIR}/bin/conda

# Re-create the environment
if [ ! -d ${BASEDIR}/envs/${NAME} ]; then
  ${CONDA} create --yes -n ${NAME} --file ${FILE}
fi
