#!/usr/bin/env bash
# Wed 21 Sep 2016 12:01:03 CEST

if [ "${#}" != 1 ]; then
  echo "usage: `basename $0` <prefix>"
  echo "example: `basename $0` /opt/conda"
  exit 1
fi

BASEDIR=$1
CONDA=${BASEDIR}/bin/conda
LISTDIR=`dirname $0`

if [ "$(uname)" == "Darwin" ]; then
  ARCH="macosx"
else
  ARCH="linux"
fi

for ver in py27 py34 py35; do
  ${CONDA} list -n "bob-devel-${ver}" --explicit > "${LISTDIR}/${ARCH}/devel-${ver}.txt";
done

echo "I've changed the environment lists for ${ARCH} at ${LISTDIR}/${ARCH}"
echo "You may now commit and push the results with something like:"
echo "git commit -m \"Updated ${ARCH} environments\" -a"

exit 0
